Skip to main content
GET
Get all transactions for a sale

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

X-Tenant
number
required

Tenant identifier. Send the Tenant ID in the X-Tenant header to scope API requests to a specific tenant.

Path Parameters

id
integer
required

The sale identifier

Query Parameters

per_page
integer | null

The number of items per page.

Required range: 1 <= x <= 100
page
integer | null

The page number.

Required range: x >= 1
sort_by
enum<string> | null

The field to sort by.

Available options:
transaction_date,
created_at,
debit,
credit
sort_order
enum<string> | null

The sort direction (asc or desc).

Available options:
asc,
desc
search
string | null

The search query.

Maximum string length: 255

Response

Paginated set of CustomerTransactionResource

data
CustomerTransactionResource · object[]
required
meta
object
required